return {
    "rachartier/tiny-inline-diagnostic.nvim",
    event = "VeryLazy", -- Or `LspAttach`
    priority = 1000, -- needs to be loaded in first
    config = function()
        require('tiny-inline-diagnostic').setup({
  preset = "ghost";
  options = {
    use_icons_from_diagnostic = true,
    multilines = {
      enabled = true,
    },
    show_all_diags_on_cursorline = false,
    enable_on_insert = true,
  }
    })
        vim.diagnostic.config({ virtual_text = false }) -- Only if needed in your configuration, if you already have native LSP diagnostics
    end
}
